include("loadscene.js");
include("commandevent.js");
include("paramevent.js");

updateParamValue("RayTracer", "maxLights", "5");
updateParamValue("RayTracer", "maxRecursionDepth", "5");
updateParamValue("RayTracer", "shadows", "1");
updateParamValue("RayTracer", "initialStep", "8x8");
updateParamValue("RayTracer", "drawTimeouts", "30,100");
updateParamValue("RayTracer", "headlight", "1");

var sceneID = loadScene("../data/raytracer/Fabia2/fabia2.fhs", 50000);
loadInto("../data/raytracer/Fabia2/fabia_lights.fhs", sceneID, 50000);

var cameraID = renderScene(sceneID, 50000);
